import { request } from '../utils/request';

/**********************************************总/子/分公司管理******************************************/

/**
 * 任务-出勤设置/编辑-获取第二步详情
 * @author Xyz
 */
export function enterpriseComManagerListBranchComManager(data) {
  return request('/enterprise/com_manager/list-branch-com-manager', {
    method: 'GET',
    data
  });
}


/**
 * 查询分公司管理层详细信息
 * @author Xyz
 */
export function enterpriseComManagerGetComBaseInfoById(data, testUrl) {
  return request('/enterprise/com_manager/get-com-base-info-by-id', {
    method: 'GET',
    data
  });
}

/**
 * 查询分公司管理层详细信息
 * @author Xyz
 */
export function enterpriseComManagerListBranchRecord(data, testUrl) {
  return request('/enterprise/com_manager/list-branch-record', {
    method: 'GET',
    data
  });
}

/**
 * 企业子公司列表
 * @author Xyz
 */
export function enterpriseCompanyComBaseInfoGetBranchCom(data, testUrl) {
  return request('/enterprise/company/com-base-info/get-branch-com', {
    method: 'POST',
    data
  });
}

/**
 * 企业分公司列表
 * @author Xyz
 */
export function enterpriseCompanyComBaseInfoGetBranch(data, testUrl) {
  return request('/enterprise/company/com-base-info/get-branch', {
    method: 'POST',
    data
  });
}

/**
 * 查询分公司详情
 * @author Xyz
 */
export function enterpriseCompanyComBaseInfoGetComBaseInfoById(data, testUrl) {
  return request('/enterprise/company/com-base-info/get-com-base-info-by-id', {
    method: 'POST',
    data
  });
}

/**
 * 分公司新增/修改
 * @author Xyz
 */
export function systemComBaseInfoSaveBranch(data, testUrl) {
  return request('/system/com-base-info/save-branch', {
    method: 'POST',
    data
  }, testUrl, false);
}
